import React from 'react';
import { Affix, Space } from 'antd';
import classnames from 'classnames';

function EvalToolbar({ children, className }) {
  return (
    <Affix offsetBottom={0} className={classnames('absolute inset-x-[24px] bottom-0', className)}>
      <div
        style={{ boxShadow: '0 -2px 4px #f0f0f0' }}
        className={'bg-[#fff] text-right p-[12px] border-solid border-0 border-t border-[#d9d9d9]'}
      >
        <Space>{children}</Space>
      </div>
    </Affix>
  );
}

EvalToolbar.propTypes = {};

EvalToolbar.defaultProps = {};

export default EvalToolbar;
