import { Button, Drawer, Typography } from 'antd';

function LogDetailDrawer(props) {
  const { visible, content, setFalse } = props;
  return (
    <Drawer
      title="日志明细"
      open={visible}
      width={'45vw'}
      maskClosable
      closeIcon
      onClose={setFalse}
      footer={
        <div className="text-right">
          <Button onClick={setFalse}>关闭</Button>
        </div>
      }
    >
      <Typography>
        <Typography.Paragraph>{content}</Typography.Paragraph>
      </Typography>
    </Drawer>
  );
}

export default LogDetailDrawer;
