export enum BusinessGuideConfigurationType {
  PURCHASER = 0,
  REGULATOR = 1,
  AGENT = 2,
  PURCHASE_CENTER = 3,
  EXPERT_JUDGE = 4,
  SUPPLIER = 5,
}

export const BusinessGuideConfigurationStatusType = {
  USE: true,
  INACTIVE: false,
};
export enum GoToType {
  NOT_HAVE = '0',
  PLATFORM_PAGE = '1',
  EXTERNAL_LINKS = '2',
}

export const GoToTypeMap = {
  [GoToType.NOT_HAVE]: '无',
  [GoToType.PLATFORM_PAGE]: '平台页面',
  [GoToType.EXTERNAL_LINKS]: '外部链接',
};

export const BusinessGuideConfigurationTypeMap = {
  [BusinessGuideConfigurationType.PURCHASER]: '采购人',
  [BusinessGuideConfigurationType.REGULATOR]: '监管机构',
  [BusinessGuideConfigurationType.AGENT]: '代理机构',
  [BusinessGuideConfigurationType.PURCHASE_CENTER]: '采购中心',
  [BusinessGuideConfigurationType.EXPERT_JUDGE]: '评审专家',
  [BusinessGuideConfigurationType.SUPPLIER]: '供应商',
};
export const BusinessGuideConfigurationTypeOptions = Object.entries(
  BusinessGuideConfigurationTypeMap,
).map(([value, label]) => ({
  value,
  label,
}));
