enum SyncBusinessType {
  PLAN = '001', //采购计划
  INTENTION = '002', //意向公开
  ENTRUST = '003', //采购委托
  PROJECT = '004', //采购项目
  ANNOUNCEMENT = '005', //采购公告
  FRAMEWORK = '006', //框架协议
  CONTRACT = '007', //采购合同
}
export const SyncBusinessTypeMap = {
  [SyncBusinessType.PLAN]: '采购计划',
  [SyncBusinessType.INTENTION]: '意向公开',
  [SyncBusinessType.ENTRUST]: '采购委托',
  [SyncBusinessType.PROJECT]: '采购项目',
  [SyncBusinessType.ANNOUNCEMENT]: '采购公告',
  [SyncBusinessType.FRAMEWORK]: '框架协议',
  [SyncBusinessType.CONTRACT]: '采购合同',
};
export const SyncBusinessTypeOptions = Object.entries(SyncBusinessTypeMap).map(
  ([value, label]) => ({ value, label }),
);
