import { useSelector } from 'react-redux';

function useSystemConfig(...keyList: string[]): any {
  const systemConfig = useSelector((state: any) => state.user.systemConfig);

  if (keyList) {
    return keyList.map((key: string) => systemConfig[key]);
  }
  return systemConfig;
}

export default useSystemConfig;
