import React from 'react';
import { Button, Result, Space } from 'antd';

function Page403(props) {
  const { history } = props;

  return (
    <Result
      status="403"
      title="403"
      subTitle="您没有访问该页面的权限"
      extra={
        <Space>
          <Button type="primary" onClick={history.goBack}>
            返回上一页
          </Button>
          <Button onClick={() => history.replace('/')}>返回首页</Button>
        </Space>
      }
    />
  );
}

export default Page403;
