import styles from '@/pages/system/syncProcess/SyncProcessStyle.module.less';
import { Progress } from 'antd';
import { ProcessStatusMap, ProcessStatusPercent } from '@/pages/system/syncProcess/ProcessStatus';

function ProcessBar({ processStatus }) {
  return (
    <Progress
      percent={ProcessStatusPercent[processStatus]}
      size={[100, 25]}
      className={styles.inProgress}
      format={() => ProcessStatusMap[processStatus]}
    />
  );
}
export default ProcessBar;
