import { init } from '@rematch/core';
import thunk from 'redux-thunk';
// eslint-disable-next-line import/no-unresolved
import user from './models/user';
import login from './models/login';

const reducers = {};

const models = {
  user,
  login,
};

export default init({
  models,
  redux: {
    reducers,
    middlewares: [thunk],
    devtoolOptions: {
      disabled: process.env.NODE_ENV === 'production',
    },
  },
});
