const {
  red,
  volcano,
  gold,
  orange,
  yellow,
  lime,
  green,
  cyan,
  blue,
  geekblue,
  purple,
  magenta,
  grey,
} = require('@ant-design/colors');

module.exports = {
  content: [
    './public/*.html',
    './src/**/*.{js,jsx,ts,tsx}',
  ],
  corePlugins: {
    preflight: false,
  },
  plugins: [],
  theme: {
    colors: {
      transparent: 'transparent',
      black: '#000',
      white: '#fff',
      red: {
        1: red[0],
        2: red[1],
        3: red[2],
        4: red[3],
        5: red[4],
        6: red[5],
        7: red[6],
        8: red[7],
        9: red[8],
        10: red[9],
        primary: red.primary,

      },
      volcano: {
        1: volcano[0],
        2: volcano[1],
        3: volcano[2],
        4: volcano[3],
        5: volcano[4],
        6: volcano[5],
        7: volcano[6],
        8: volcano[7],
        9: volcano[8],
        10: volcano[9],
        primary: volcano.primary,
      },
      gold: {
        1: gold[0],
        2: gold[1],
        3: gold[2],
        4: gold[3],
        5: gold[4],
        6: gold[5],
        7: gold[6],
        8: gold[7],
        9: gold[8],
        10: gold[9],
        primary: gold.primary,
      },
      orange: {
        1: orange[0],
        2: orange[1],
        3: orange[2],
        4: orange[3],
        5: orange[4],
        6: orange[5],
        7: orange[6],
        8: orange[7],
        9: orange[8],
        10: orange[9],
        primary: orange.primary,
      },
      yellow: {
        1: yellow[0],
        2: yellow[1],
        3: yellow[2],
        4: yellow[3],
        5: yellow[4],
        6: yellow[5],
        7: yellow[6],
        8: yellow[7],
        9: yellow[8],
        10: yellow[9],
        primary: yellow.primary,
      },
      lime: {
        1: lime[0],
        2: lime[1],
        3: lime[2],
        4: lime[3],
        5: lime[4],
        6: lime[5],
        7: lime[6],
        8: lime[7],
        9: lime[8],
        10: lime[9],
        primary: lime.primary,
      },
      green: {
        1: green[0],
        2: green[1],
        3: green[2],
        4: green[3],
        5: green[4],
        6: green[5],
        7: green[6],
        8: green[7],
        9: green[8],
        10: green[9],
        primary: green.primary,
      },
      cyan: {
        1: cyan[0],
        2: cyan[1],
        3: cyan[2],
        4: cyan[3],
        5: cyan[4],
        6: cyan[5],
        7: cyan[6],
        8: cyan[7],
        9: cyan[8],
        10: cyan[9],
        primary: cyan.primary,
      },
      blue: {
        1: blue[0],
        2: blue[1],
        3: blue[2],
        4: blue[3],
        5: blue[4],
        6: blue[5],
        7: blue[6],
        8: blue[7],
        9: blue[8],
        10: blue[9],
        primary: blue.primary,
      },
      geekblue: {
        1: geekblue[0],
        2: geekblue[1],
        3: geekblue[2],
        4: geekblue[3],
        5: geekblue[4],
        6: geekblue[5],
        7: geekblue[6],
        8: geekblue[7],
        9: geekblue[8],
        10: geekblue[9],
        primary: geekblue.primary,
      },
      purple: {
        1: purple[0],
        2: purple[1],
        3: purple[2],
        4: purple[3],
        5: purple[4],
        6: purple[5],
        7: purple[6],
        8: purple[7],
        9: purple[8],
        10: purple[9],
        primary: purple.primary,
      },
      magenta: {
        1: magenta[0],
        2: magenta[1],
        3: magenta[2],
        4: magenta[3],
        5: magenta[4],
        6: magenta[5],
        7: magenta[6],
        8: magenta[7],
        9: magenta[8],
        10: magenta[9],
        primary: magenta.primary,
      },
      grey: {
        1: grey[0],
        2: grey[1],
        3: grey[2],
        4: grey[3],
        5: grey[4],
        6: grey[5],
        7: grey[6],
        8: grey[7],
        9: grey[8],
        10: grey[9],
        primary: grey.primary,
      },
    },
    extend: {},
  },
};
