enum HostStatus {
  INCREMENTAL_SYNCHRONIZATION_IS_IN_PROGRESS = '2',
  INCREMENTAL_SYNCHRONIZATION_FAILED = '-2',
  FULL_SYNCHRONIZATION_FAILED = '-1',
  TO_BE_SYNCHRONIZED = '0',
  FULL_SYNCHRONIZATION_IS_IN_PROGRESS = '1',
}
export const HostStatusNameMap = {
  [HostStatus.INCREMENTAL_SYNCHRONIZATION_IS_IN_PROGRESS]: '增量同步中',
  [HostStatus.INCREMENTAL_SYNCHRONIZATION_FAILED]: '增量同步失败',
  [HostStatus.FULL_SYNCHRONIZATION_FAILED]: '全量同步失败',
  [HostStatus.TO_BE_SYNCHRONIZED]: '待同步',
  [HostStatus.FULL_SYNCHRONIZATION_IS_IN_PROGRESS]: '全量同步中',
};
export const HostStatusColorMap = {
  [HostStatus.INCREMENTAL_SYNCHRONIZATION_IS_IN_PROGRESS]: '#1677FF',
  [HostStatus.INCREMENTAL_SYNCHRONIZATION_FAILED]: '#FF435A',
  [HostStatus.FULL_SYNCHRONIZATION_FAILED]: '#FF435A',
  [HostStatus.TO_BE_SYNCHRONIZED]: '#D7D7D7',
  [HostStatus.FULL_SYNCHRONIZATION_IS_IN_PROGRESS]: '#1677FF',
};
export const HostStatusXMap = {
  [HostStatus.INCREMENTAL_SYNCHRONIZATION_IS_IN_PROGRESS]: 61,
  [HostStatus.INCREMENTAL_SYNCHRONIZATION_FAILED]: 56,
  [HostStatus.FULL_SYNCHRONIZATION_FAILED]: 56,
  [HostStatus.TO_BE_SYNCHRONIZED]: 68,
  [HostStatus.FULL_SYNCHRONIZATION_IS_IN_PROGRESS]: 61,
};
export enum SyncContentType {
  INCREMENT = '1',
  All = '2',
}
