import classnames from 'classnames';

function TitleStyle(props) {
  const { children, extra, className } = props;
  return (
    <div className="border-0 border-l-[2px] border-solid border-blue-6 pl-[8px] mt-[10px] flex items-center justify-between">
      <h6 className={classnames('font-bold mb-0 text-sm', className)}>{children}</h6>
      {extra}
    </div>
  );
}

export default TitleStyle;
