## Pages文件命名规范

## 请按照规范命名和放置组件, 否则配置routes会找不到

### Pages文件夹中只存放页面, 页面所用的组件应放到components文件夹中

### 文件命名使用大写驼峰, 
* 例如 "PlanIndex", "PlanEdit"
* 文件夹名可以使用小写驼峰

### 文件名在Pages文件夹中不可重复
* 因此不推荐使用index命名

### 文件类型为 jsx 或 tsx

### 页面组件使用export default导出

### 异步加载的文件需要增加".lazy"后缀
* 例如 "PlanSplit.lazy.jsx"
