export enum WorkBenchType {
  COUNT = 'totalTasks',
  OPERATION = 'runningTask',
  COMPILED = 'taskToBeProgrammed',
  ERROR = 'abnormalTask',
  SYNC = 'synchronizationRate',
}
export enum WorkBenchBasicType {
  COUNT = 'businessModel',
  OPERATION = 'dataModel',
  COMPILED = 'subtableModel',
  ERROR = 'subscriberTenant',
  SYNC = 'dataSource',
}
export const WorkBenchColor = {
  [WorkBenchType.COUNT]: '#1677FF',
  [WorkBenchType.OPERATION]: '#03B615',
  [WorkBenchType.COMPILED]: '#F59A23',
  [WorkBenchType.ERROR]: '#F93149',
  [WorkBenchType.SYNC]: '#1677FF',
};
export const WorkBenchName = {
  [WorkBenchType.COUNT]: '任务总数',
  [WorkBenchType.OPERATION]: '运行中',
  [WorkBenchType.COMPILED]: '待编',
  [WorkBenchType.ERROR]: '异常',
  [WorkBenchType.SYNC]: '同步速率',
};
export const CountColor = {
  [WorkBenchBasicType.COUNT]: '#02A7F0',
  [WorkBenchBasicType.OPERATION]: '#1677FF',
  [WorkBenchBasicType.ERROR]: '#F59A23',
  [WorkBenchBasicType.COMPILED]: '#00BFBF',
  [WorkBenchBasicType.SYNC]: '#03B615',
};
export const CountName = {
  [WorkBenchBasicType.COUNT]: '业务模型',
  [WorkBenchBasicType.OPERATION]: '数据模型',
  [WorkBenchBasicType.COMPILED]: '分表模型',
  [WorkBenchBasicType.ERROR]: '用户租户',
  [WorkBenchBasicType.SYNC]: '数据源',
};
