import RemoteSelect from '@/components/forms/RemoteSelect';

const keyWordItem = {
  name: 'keyword',
  key: 'keyword',
  label: '模糊搜索',
  componentProps: { placeholder: '租户名称/标识', style: { width: 230 } },
};
const featureType = {
  name: 'featureType',
  key: 'featureType',
  label: '特征类型',
  component: RemoteSelect,
  componentProps: {
    allowClear: true,
    placeholder: '请选择',
    requestUrl: '/system/dict/option',
    requestParam: { dictType: 'TZLX' },
    titleAttr: 'dictLabel',
    valueAttr: 'dictValue',
    style: { width: 200 },
  },
};
const useType = {
  name: 'tenantryUserType',
  key: 'tenantryUserType',
  label: '用户类型',
  component: RemoteSelect,
  componentProps: {
    allowClear: true,
    placeholder: '请选择',
    requestUrl: '/system/dict/option',
    requestParam: { dictType: 'YHLX' },
    titleAttr: 'dictLabel',
    valueAttr: 'dictValue',
    style: { width: 200 },
  },
};
const tenantType = {
  name: 'tenantryId',
  key: 'tenantryId',
  label: '租户类型',
  component: RemoteSelect,
  componentProps: {
    allowClear: true,
    placeholder: '请选择',
    requestUrl: '/system/dict/option',
    requestParam: { dictType: 'ZHLX' },
    titleAttr: 'dictLabel',
    valueAttr: 'dictValue',
    style: { width: 200 },
  },
};
const tenantryId = {
  name: 'tenantryId',
  key: 'tenantryId',
  label: '租户类型',
  component: RemoteSelect,
  componentProps: {
    allowClear: true,
    placeholder: '请选择',
    requestUrl: '/system/dict/option',
    requestParam: { dictType: 'YHLX' },
    titleAttr: 'dictLabel',
    valueAttr: 'dictValue',
    style: { width: 200 },
  },
};
export const tenantTypeSearchItem = [keyWordItem, useType, tenantType];
export const tenantCharacteristicsSearchItem = [tenantryId, featureType];
